ZGREP(1)

NAME
zgrep - search possibly compressed files for a regular expression

SYNOPSIS
zgrep [ grep_options ] [ -e ] pattern filename...

DESCRIPTION
Zgrep invokes grep on compressed or gzipped files. All options specified are passed directly to grep. If no file is specified, then the standard input is decompressed if necessary and fed to grep. Otherwise the given files are uncompressed if necessary and fed to grep.

If the GREP environment variable is set, zgrep uses it as the grep program to be invoked.

AUTHOR
Charles Levert (charles@comm.polymtl.ca)

SEE ALSO
grep(1), gzexe(1), gzip(1), zdiff(1), zforce(1), zmore(1), znew(1)